Subject: Re: Snap Call Feedback - Nizam
From: Nizamuddin Khan <[email-masked]>
To: Saurabh Dadu <[email-masked]>
Cc: Ashish Dabral <[email-masked]>, [email-masked]
Date: Wed, 20 Jun 2018 11:23:22 +0530 (IST)

Hi Sir, 

I was following the Snap Doc, however I do remember our discussion on this. Will keep that in mind. 

Regards, 
Nizamuddin Khan 

From: "Saurabh Dadu" <[email-masked]> 
To: "Ashish Dabral" <[email-masked]>, "nizamuddin khan" <[email-masked]> 
Cc: [email-masked] 
Sent: Wednesday, June 20, 2018 12:56:28 AM 
Subject: Snap Call Feedback - Nizam 

Nizam, 

This is your first call I heard, and I don't know why you said we don't take Debit cards. The Bond for the excess as well as the rental costs can be paid by Debit Cards 

Infact we prefer paying through Debit Cards. This was very clearly discussed in the training. I hope this won't be repeated. 

Ashish - forward this feedback to everyone on Snap. 

Saurabh Dadu 
LiveSalesman 
India: +91 120 4332621 x 17 
US: 1 240 949 2437 
Cell: +91 9810175203